Description

In this article: http://www.redmine.org/wiki/redmine/RedmineCustomFields

we can find following description of Redmine functionality:

Data in spent time entry custom fields can be used and/or will be displayed in the Timelog report.

 I can't find this function in Redmine. Am I missing something or this function is not implemented?

Related issues:

Related to Redmine - Feature #1766: Custom fields should become addable to Sp... Closed 2008-08-11

Is duplicate of Redmine - Feature #1692: Enable time-tracking additional fiel... New 2008-07-28

History

#1 - 2010-11-25 11:57 - Felix Schäfer

I think this has been added in trunk but hasn't made its way to stable yet, sorry.

#2 - 2010-11-25 12:09 - Maciej Czub

I'm using trunk branch (1.0.3.devel.4425 at the moment) and I don't see it.

#3 - 2010-11-26 18:43 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

Felix Schäfer wrote:

I think this has been added in trunk but hasn't made its way to stable yet, sorry.

 Nope, this feature has been available since Redmine 0.8. It was added in r1689, r1690 and r1691 for issue #772. Though, it has not been integrated

completely; see below...

Maciej Czub wrote:

I'm using trunk branch (1.0.3.devel.4425 at the moment) and I don't see it.

 It is slightly more complicated; let me explain:

 

Because Redmine has two time-entry reports, each having multiple output-formats (HTML, CSV and ATOM), we have to describe them separately

and more explicit.

RedmineTimelogDetails (AKA Spent-time details)

HTML

No STCF data is displayed.

CSV
All STCF data is exported.

ATOM

No STCF data is exported.

RedmineTimelogReport (AKA Spent-time report)

HTML

Some STCF data is displayed. Only data on STCF's of the type boolean and list can be used to filter the report.

CSV

Some STCF data is exported. Only data on STCF's of the type boolean and list is exported and this data is only added to the resulting CSV-file when

the report is filtered using a filter containing data on STCF's of the type boolean and list.

ATOM

ATOM output is currently not available for the Spent-time report.

 

Some references to the related (duplicated) issues:

Issue #1692

Issue #1766

Forum-message Custom Fields vs Spent Time Reports

 

Maciej: Looking at your initial request you are looking to get the STCF data on the RedmineTimelogReport (AKA Spent-time report), which leads to

the conclusion that this issue is a duplicate of #1692. Therefor I close this issue accordingly. Please reopen this issue elsewise...

#4 - 2010-11-26 19:40 - Maciej Czub

Everything becomes clear. Thank You for your support.
